# -*- coding: utf-8 -*-
"""
Common views
"""

from __future__ import unicode_literals, absolute_import

from tailbone.views import common as base

import rattail_demo


class CommonView(base.CommonView):

    project_title = "Rattail Demo"
    project_version = rattail_demo.__version__ + '+dev'

    def get_packages(self):
        import corepos._version
        import rattail_corepos
        import rattail_tempmon
        import tailbone_corepos

        packages = super(CommonView, self).get_packages()
        packages['pyCOREPOS'] = corepos._version.__version__
        packages['rattail-corepos'] = rattail_corepos.__version__
        packages['rattail-tempmon'] = rattail_tempmon.__version__
        packages['tailbone_corepos'] = tailbone_corepos.__version__
        for key in packages:
            packages[key] = packages[key] + '+dev'
        return packages


def includeme(config):
    CommonView.defaults(config)
