# -*- coding: utf-8; -*-
"""
User views
"""

from __future__ import unicode_literals, absolute_import

from tailbone.views import users as base


class UsersView(base.UsersView):
    """
    Prevent edit/delete for 'chuck'
    """

    def editable_instance(self, user):
        return user.username not in ('chuck', 'demo')

    def deletable_instance(self, user):
        return user.username not in ('chuck', 'demo')


def includeme(config):
    UsersView.defaults(config)
    base.UserEventsView.defaults(config)
